Messages received in Hotmail account show ??? instead of the Romanian diacritics

RESOLVED INVALID

Status

Thunderbird
Message Reader UI
--
major
RESOLVED INVALID
9 years ago
9 years ago

People

(Reporter: ((Gabriel)) Tudor, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; ro; rv:1.9.0.6) Gecko/2009011913 Firefox/3.0.6
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; ro; rv:1.9.1b3pre) Gecko/20081204 Thunderbird/3.0b1

    I have a problem with receiving messages in my Hotmail POP3 account.
    Instead of Romanian diacritics, I get ???. The same applies to indents (tabs).

    This is the text I'm sending to the POP3 hotmail account:

    Probă cu diacritice nesimțite și încercări românești...

    This is what I receive:

    ??? Prob? cu diacritice nesim?ite ?i ?ncerc?ri rom?ne?ti...

    I must admit that this does not happen when the message is sent from the web-based applications (Gmail, Ymail or Hotmail). It happens only when sending from Thunderbird to Thunderbird.
    My enconding is UTF-8, which is best for Romanian, but it seems that this is not the issue.

    Does anybody know what is causing this? Hotmail developers say that I should ask Mozilla. 

Reproducible: Always
Can you post the source of a message?

Also, what are your default charsets pointing to (Preferences -> Display -> Fonts… -> Character Encodings)?
(Reporter)

Comment 2

9 years ago
The message source is this:

From - Fri Feb 06 16:40:54 2009
X-Account-Key: account2
X-UIDL: 42E13F04-ADEC-4200-9CFC-688630569626
X-Mozilla-Status: 0001
X-Mozilla-Status2: 00000000
X-Mozilla-Keys:
X-Message-Delivery: Vj0xLjE7dXM9MDtsPTA7YT0wO0Q9MjtTQ0w9NA==
X-Message-Status: n:0
X-SID-PRA: ((Gabriel)) <gabriel@xyz.ro>
X-Message-Info: 6sSXyD95QpVYN/VcMu8ySK3DEvZ35Mm44du4Z4Ub/+1xONxlI1yXkT0O6Q3E+BXTUIu8aVjoJo+vfCbwIze3ygTTCLlGZZzs
Received: from mail.xyz.ro ([81.196.25.50]) by bay0-mc3-f18.bay0.hotmail.com with Microsoft SMTPSVC(6.0.3790.2668);
Fri, 6 Feb 2009 06:41:03 -0800
Received: by mail.xyz.ro (Postfix, from userid 65534)
id 0B8BB4003CA4; Fri, 6 Feb 2009 16:40:58 +0200 (EET)
X-Spam-Checker-Version: SpamAssassin 3.1.7-deb (2006-10-05) on
dimitrie.baclica.ro
X-Spam-Level: *
X-Spam-Status: No, score=1.7 required=5.0 tests=HTML_MESSAGE,
SUBJECT_ENCODED_TWICE,X_PRIORITY_HIGH autolearn=no version=3.1.7-deb
Received: from [127.0.0.1] (unknown [89.32.169.204])
by mail.xyz.ro (Postfix) with ESMTP id E77004003CA3
for <gabriel@xyz.com>; Fri, 6 Feb 2009 16:40:57 +0200 (EET)
Message-ID: <498C4BED.1060106@xyz.ro>
Date: Fri, 06 Feb 2009 16:40:45 +0200
From: "((Gabriel))" <gabriel@xyz.ro>
Organization: XYZ
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ro; rv:1.9.1b3pre) Gecko/20081204 Thunderbird/3.0b1
MIME-Version: 1.0
To: gabriel@xyz.com
Subject: =?UTF-8?B?UHJvYsSDIGN1IMOubmNlcmPEg3JpIG5lc2ltyJtpdGUgyJlpIHJlcGU=?=
=?UTF-8?B?dMSDcmkgcm9tw6JuZciZdGk=?=
X-Priority: 1 (Highest)
Content-Type: multipart/alternative;
boundary="------------070104090400070806090709"
Return-Path: gabriel@xyz.ro
X-OriginalArrivalTime: 06 Feb 2009 14:41:04.0234 (UTC) FILETIME=[F01034A0:01C98868]

This is a multi-part message in MIME format.
--------------070104090400070806090709
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Prob? cu diacritice nesim?ite ?i ?ncerc?ri rom?ne?ti...
-- 
*((Gabriel))
**editor-prezentator RT***
Acest mesaj este confiden?ial ?i adresat doar
destinatarului, precum ?i altor persoane autorizate
s?-l primeasc?.
Dezv?luirea, copierea, distribuirea sau ini?ierea unor
ac?iuni pe baza lui, f?r? acordul meu scris, sunt strict
interzise ?i atrag r?spunderea juridic?.
Dac? a?i primit acest mesaj din gre?eal?, v? rog s?
m? anun?a?i imediat, ?i s?-l ?terge?i apoi din sistemul
dumneavoastr?.
Subliniez c? orice comentarii pe care le fac reprezint?
punctul meu de vedere, ?i nu cel oficial al Patriarhiei Rom?ne.

--------------070104090400070806090709
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 8bit

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
</head>
<body bgcolor="#ffffff" text="#3366ff">
<font face="Tahoma">??? Prob? cu diacritice nesim?ite ?i ?ncerc?ri
rom?ne?ti... </font><br>
<div class="moz-signature">-- <br>
<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">

<title></title>
<div class="moz-signature">
<div class="moz-signature">
<div class="moz-signature">
<div class="moz-signature">
<div class="moz-signature">
<div class="moz-signature">
<div><b><span
style="font-size: 10pt; color: rgb(51, 153, 255); line-height: 115%; font-family: 'Tahoma','sans-serif';"><font
color="#3366ff">((Gabriel))</font><br>
</span></b><b><span
style="font-size: 8pt; color: red; line-height: 115%; font-family: 'Tahoma','sans-serif';"><u4:p></u4:p>editor-prezentator
RT</span></b><b><span
style="font-size: 7pt; color: rgb(217, 217, 217); line-height: 115%; font-family: 'Tahoma','sans-serif';"></span></b><span
style="font-size: 7pt; color: rgb(226, 226, 226); line-height: 115%; font-family: 'Tahoma','sans-serif';"></span><span
style="font-size: 7pt; color: rgb(226, 226, 226); line-height: 115%; font-family: 'Tahoma','sans-serif';"><br>
??? Acest
mesaj este confiden?ial ?i adresat doar <br>
destinatarului, precum </span><span
style="font-size: 7pt; color: rgb(226, 226, 226); line-height: 115%; font-family: 'Tahoma','sans-serif';">?i</span><span
style="font-size: 7pt; color: rgb(226, 226, 226); line-height: 115%; font-family: 'Tahoma','sans-serif';">
altor persoane autorizate <br>
s?-l primeasc?.<br>
??? Dezv?luirea, copierea, distribuirea sau ini?ierea
unor <br>
ac?iuni pe baza lui, f?r? acordul meu scris, sunt strict <br>
interzise ?i atrag r?spunderea juridic?. <br>
??? Dac? a?i primit acest mesaj din gre?eal?, v? rog s? <br>
m? anun?a?i imediat, ?i s?-l ?terge?i apoi din sistemul <br>
dumneavoastr?. <br>
??? Subliniez c? orice comentarii pe care le fac
reprezint?<br>
punctul meu de vedere, ?i nu cel oficial al Patriarhiei Rom?ne. </span></div>

</div>
</div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>

--------------070104090400070806090709--


I have replaced some of my personal data to avoid possible spam, but the relevant data is there.
I repeat, this happens only when sending from another Thunderbird account to the Thunderbird Windows Live account. 



My character encoding is UTF-8, which is the best for Romanian language. I don't have a problem with this in my other accounts.

Comment 3

9 years ago
What does that same message source look like if you look at the copy in your sent folder?
(Reporter)

Comment 4

9 years ago
Look here: http://forums.mozillazine.org/viewtopic.php?f=28&t=1083915

Everything is explained in detail.

Comment 5

9 years ago
Ok, so the sent copy is ok. Did you try using another smtp server?

Sounds like a hotmail server bug, you can get pop3 (and smtp) logs to verify that:
http://wiki.mozilla.org/MailNews:Logging

Comment 6

9 years ago
doesn't meet the criteria for sev=critical, unless it's dataloss
Severity: critical → major
(Reporter)

Comment 7

9 years ago
The recipient can't read it properly, so if there are important things written with diacritics, the recipient will have a hard time decoding this and, probably, will trash the message. So, you could consider this data loss, from the recipient's perspective... As I found out on multiple forums, this does not happen only with Romanian characters. It happens also with some accented characters from other languages, so it's a big problem.
(Reporter)

Comment 8

9 years ago
Created attachment 361974 [details]
The POP3 log with what's happening
(Reporter)

Comment 9

9 years ago
Created attachment 361975 [details]
The SMTP log with what's happening

Comment 10

9 years ago
0[1634280]: RECV:      Prob? cu diacritice nesim?ite ?i ?ncerc?ri rom?ne?ti.

As you can see from the pop3 log, what thunderbird receives is indeed the text with question marks. 

0[1634280]: SMTP Response: 250-8BITMIME

So the server says 8bit is ok, but probably doesn't do it right. 

As a workaround for the server bug, you can probably set the mail.strictly_mime pref to true...
(Reporter)

Comment 11

9 years ago
    (In reply to comment #10)
> 0[1634280]: RECV:      Prob? cu diacritice nesim?ite ?i ?ncerc?ri rom?ne?ti.
> 
> As you can see from the pop3 log, what thunderbird receives is indeed the text
> with question marks. 
> 
> 0[1634280]: SMTP Response: 250-8BITMIME
> 
> So the server says 8bit is ok, but probably doesn't do it right. 
> 
> As a workaround for the server bug, you can probably set the mail.strictly_mime
> pref to true...

    PROBLEM SOLVED if mail.strictly_mime set to true, but will this affect the normal behaviour of all the other accounts I have in Thunderbird? 
    Is there something I should be aware of, after changing this preference?

Comment 12

9 years ago
What mail.strictly_mime does is it forces the message to get encoded into quoted-printable for transfer, thus avoiding the server bug.

Comment 13

9 years ago
->INVALID (server bug per previous discussion)
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.